package flexpump;
/**
 * @author mgrosos
 *
 */
import org.jdom.input.SAXBuilder;
import org.jdom.JDOMException;
import java.io.IOException;
import org.jdom.*;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.*;

public class XMLLanguageFileParser {
		

    public void parseXML(String filePath, Connection con) throws ClassNotFoundException, SQLException, JDOMException, IOException{
        PreparedStatement pstmt=null;
    	SAXBuilder builder = new SAXBuilder();
        
        Document doc = builder.build(filePath);  //meno suboru
        Element root = doc.getRootElement();
          
        
        List messages = root.getChildren();
        Iterator iterator = messages.iterator();
           
        while (iterator.hasNext()) {
          	Element message = (Element) iterator.next();
           	Attribute key = message.getAttribute("key");
            	
           	pstmt = con.prepareStatement("INSERT INTO cis_messages VALUES (?,?)");
           	pstmt.setString(1,key.getValue());
           	
           	if(message.getValue().length()>200)
           		pstmt.setString(2,message.getValue().substring(0,199));
           	else
           		pstmt.setString(2,message.getValue());
            
           	pstmt.executeUpdate();
        }         
    }
}
